package com.ssj.service.sys.fx.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.fx.domain.MerchantMeal;
import com.ssj.framework.core.common.service.BaseService;

public interface MerchantMealService extends BaseService<MerchantMeal, String> {
	
	Page<Map<String, Object>> findMerchantMealByPage(Map<String, Object> params, Pageable initPage);
	
	Page<Map<String, Object>> findMerchantMealStatusPage(Map<String, Object> params, Pageable initPage);
	
	Page<Map<String, Object>> findMerchantCapByPage(Map<String, Object> params, Pageable initPage);
	
	MerchantMeal getMerchantMealByMaxEndSignTime(String merchantId);
	
	List<MerchantMeal> findMerchantMealByStatusList(String merchantId);
	
	List<MerchantMeal> findMerchantMealAll(String merchantId);
	
	void saveMerchantMeal(String merchantId,Integer signType,Integer libService,Integer buyMonth,Integer giveMonth,Double unitPrice,Double price);
	
	void saveMerchantMealSC(String merchantId,Integer signType,Integer libService,String startActiveTime,String endActiveTime,Double unitPrice,Double price);
	
	void updateMerchantByMeal(String merchantId);
	
}
